> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new custom ticket priority



## OpenAPI

````yaml post /v1/tickets/priority
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/tickets/priority:
    post:
      tags:
        - Tickets
      summary: Create a new custom ticket priority
      operationId: TicketPriorityActionController_createNewCustomPriority
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTicketPriorityDto'
      responses:
        '201':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonTicketPriorityResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    CreateTicketPriorityDto:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the ticket priority
          example: High
        description:
          type: string
          description: The description of the ticket priority
          example: This is a high priority ticket
        isDefault:
          type: boolean
          description: Whether the ticket priority is the default one
          example: true
        name:
          type: string
          description: The name of the ticket priority
          example: High
        teamId:
          type: string
          description: The ID of the team to which the ticket priority belongs
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - name
        - teamId
    CommonTicketPriorityResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The response for create/update/delete ticket priority operations
          allOf:
            - $ref: '#/components/schemas/TicketPriorityResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TicketPriorityResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the ticket priority
        name:
          type: string
          description: The name of the ticket priority
        displayName:
          type: string
          description: The display name of the ticket priority
        description:
          type: string
          description: The description of the ticket priority
        teamId:
          type: string
          description: The team ID of the ticket priority
        organizationId:
          type: string
          description: The organization ID of the ticket priority
        isDefault:
          type: boolean
          description: Whether the ticket priority is default
      required:
        - id
        - name
        - displayName
        - description
        - teamId
        - organizationId
        - isDefault
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.